
QGIS Application - Bug report #5407

MSSQL Server -  tables are invalid layers for Build 116

2012-04-18 10:40 AM - Carlos da Ponte

Status: Closed

Priority: Normal

Assignee: Tamas Szekeres

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15073

Description

All tables imported fine using build 115.  Updated to build 116, tried to import the same layers and all (~20 layers) yield error msg -

"dbname='XX' host=XXX,1433 user='synergy' password='XXXXXX' srid=3005 type=POINT table="dbo"."site" (geolocation) sql= is an

invalid layer and cannot be loaded"

Related issues:

Related to QGIS Application - Bug report # 5409: Spatialite support broken si... Closed 2012-04-18

Related to QGIS Application - Bug report # 5410: Copy constructor of QgsDataS... Closed 2012-04-18

Associated revisions

Revision e5d97f53 - 2012-04-19 12:25 AM - Jürgen Fischer

Revert d7e8ae18 and d637c677c (fixes #5407, #5409 and #5410)

History

#1 - 2012-04-18 01:36 PM - Nathan Woodrow

This is a problem with the host name getting passed to the provider.    Tamas is working on a fix.

As a workaround you can create a ODBC DSN and use it.  It still workes correctly with a DSN.

#2 - 2012-04-18 01:36 PM - Nathan Woodrow

- Assignee set to Tamas Szekeres

#3 - 2012-04-18 03:36 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"e5d97f53e29c90b5b8d695c604e2540f2f499070".
